=== debian/changelog ===
slang2 (2.3.1a-3ubuntu1) bionic; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Drop libonig-dev build dependency because it's not in main.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 24 Feb 2018 12:31:56 -0600

slang2 (2.3.1a-3) unstable; urgency=medium

  * Support for extended terminfo. Thanks to Sven Joachim. Closes: #890769
  * Use OBJDIR src/x32elfobjs on x32-arch. Closes: #890545

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Feb 2018 08:33:13 +0000

slang2 (2.3.1a-2) unstable; urgency=medium

  * Standards-Version: 4.1.3; no changes required
  * Drop auto* dependencies not needed with debhelper 10
  * Delete old patches:
    - die-on-failure.patch
    - hurd-wcontinued.patch
  * Drop Priority: important on library package
  * Drop Priority: extra on udeb package 
  * Set VCS to point to salsa.debian.org/debian/slang2. Closes: #838982

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Feb 2018 09:40:15 +0000

slang2 (2.3.1a-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Jan 2018 10:12:41 +0100

slang2 (2.3.1a-1) unstable; urgency=medium

  * New upstream release
    - int-fix.patch merged upstream
  * Standards-Version: 4.0.0; no changes required
  *  Add debian/gbp.conf file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 12:29:25 +0100

slang2 (2.3.1-5ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Nov 2016 22:52:07 +0100

slang2 (2.3.0-2.3ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Apr 2016 17:01:29 +0200
