=== debian/control ===
Source: slang2
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 10),
 unicode-data,
 chrpath,
 docbook-to-man,
 dpkg-dev (>= 1.16.1~),
 libncurses-dev,
 libpcre3-dev,
 libpng-dev,
 zlib1g-dev,
Standards-Version: 4.1.3
Homepage: http://www.jedsoft.org/slang/
Vcs-Browser: https://salsa.debian.org:/debian/slang2.git
Vcs-Git: https://salsa.debian.org:/debian/slang2.git

Package: libslang2-dev
Section: libdevel
Architecture: any
Depends: libslang2 (= ${binary:Version}), libc6-dev | libc-dev, libpng-dev, ${misc:Depends}
Multi-Arch: same
Built-Using: ${Built-Using}
Description: S-Lang programming library, development version
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 The S-Lang library includes the following:
  * Low level tty input routines for reading single characters at a time.
  * Keymap routines for defining keys and manipulating multiple keymaps.
  * A high-level key processing interface (SLkp) for
    handling function and arrow keys.
  * High level screen management routines for manipulating both
    monochrome and color terminals. These routines are very
    efficient. (SLsmg)
  * Low level terminal-independent routines for manipulating the display
    of a terminal. (SLtt)
  * Routines for reading single line input with line editing and recall
    capabilities. (SLrline)
  * Searching functions: both ordinary searches and regular expression
    searches. (SLsearch)
  * An embedded stack-based language interpreter with a C-like syntax.

Package: libslang2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Built-Using: ${Built-Using}
Description: S-Lang programming library - runtime version
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains only the shared library libslang.so.* and copyright
 information. It is only necessary for programs that use this library (such
 as jed and slrn). If you plan on doing development with S-Lang, you will
 need the companion -dev package as well.

Package: libslang2-pic
Section: libdevel
Architecture: any
Built-Using: ${Built-Using}
Depends: libslang2-dev (= ${binary:Version}), ${misc:Depends}
Conflicts: slang1-utf8-pic, slang-pic, libslang1-pic
Description: S-Lang programming library, shared library subset kit
 This is used to develop subsets of the S-Lang shared libraries for use
 on custom installation floppies and in embedded systems. Unless you're
 making one of those, you won't need this package.

Package: libslang2-udeb
Section: debian-installer
Architecture: any
Built-Using: ${Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: S-Lang library for Debian Installer
 This is a udeb, or a microdeb, of the S-Lang library with wide character
 support. As such it is the installer counterpart of libslang2.
 You only need this package to support applications needing S-Lang during
 the Debian installation process time and probably don't need to select it.
Package-Type: udeb

Package: slsh
Section: interpreters
Architecture: any
Depends: ${shlibs:Depends}, libslang2-modules (= ${binary:Version}), ${misc:Depends}
Multi-Arch: foreign
Built-Using: ${Built-Using}
Description: Interpreter for S-Lang language
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains a stand-alone interpreter for scripts written
 in the S-Lang language.

Package: libslang2-modules
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: slang-histogram
Provides: slang-histogram
Replaces: slang-histogram
Description: Shared modules for S-Lang language
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains dynamically-loaded modules for S-Lang applications.
