=== debian/changelog ===
slang2 (2.3.2-5) unstable; urgency=medium

  * Use debhelper-compat (=12)
  * Standards-Version: 4.5.0
  * Move lib from /lib/$(MA) to /usr/lib/$(MA). Closes: #923825
  * Drop hard-coded 'xz' compression

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 May 2020 09:33:46 +0100

slang2 (2.3.2-4) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Move to debhelper compat level 12

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Jul 2019 10:26:13 +0100

slang2 (2.3.2-3) unstable; urgency=medium

  * Rebuild against unicode-data 12.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Apr 2019 09:19:19 +0100

slang2 (2.3.2-2) unstable; urgency=medium

  [Ondřej Nový]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Fix wrong Vcs-*

  [Alastair McKinstry]
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 15:09:19 +0000

slang2 (2.3.2-1) unstable; urgency=medium

  * New upstream release
    - extended_terminfo.patch now included upstream
  * Ack old bugs: Closes: #407835, #664075
  * Set OBJDIR to src/x32objs on x32. Closes: #890545

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Feb 2018 16:59:12 +0000
