=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
  unicode-data,
  chrpath,
  docbook-to-man,
  dpkg-dev (>= 1.16.1~),
  libncurses-dev,
+ libonig-dev,
  libpcre3-dev,
  libpng-dev,
  zlib1g-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: http://www.jedsoft.org/slang/
-Vcs-Browser: https://salsa.debian.org:/debian/slang2.git
-Vcs-Git: https://salsa.debian.org:/debian/slang2.git
+Vcs-Browser: https://salsa.debian.org/debian/slang2
+Vcs-Git: https://salsa.debian.org/debian/slang2.git
 
 Package: libslang2-dev
 Section: libdevel
