=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,17 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Add -O0 to workaround 675125, a bug that appeared with gcc-4.7. 
+# Add -O0 to workaround 675125, a bug that appeared with gcc-4.7.
 # Probably to do with uninitialized memory somewhere ?
 # "src/tests/sltest ./utf8" triggers the bug; works fine in UTF-8 mode, fails otherwise.
 # - amck, 2012-06-30
 
 CFLAGS:= $(CFLAGS) -D_XOPEN_SOURCE=500 $(CPPFLAGS) -O0 -fsigned-char
 
-# #890545: 
+# #890545:
 OBJDIR:=src/objs
 ifeq ($(ARCH), x32)
-  OBJDIR:=src/x32elfobjs
+  OBJDIR:=src/x32objs
 endif
 
 # Magic debhelper rule
@@ -41,10 +41,9 @@
 	cp  /usr/share/unicode/EastAsianWidth.txt utf8/tools
 	cp /usr/share/unicode/UnicodeData.txt utf8/tools
 	cp src/slang.ver debian/libslang2-pic/usr/lib/libslang_pic.map
-	mkdir -p debian/tmp/lib/${DEB_HOST_MULTIARCH}
+	mkdir -p debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}
 	cp -a ${OBJDIR}/libslang.a debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}
-	mv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libslang.so.* debian/tmp/lib/${DEB_HOST_MULTIARCH}
-	ln -sf /lib/${DEB_HOST_MULTIARCH}/libslang.so.2 debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libslang.so
+	ln -sf /usr/lib/${DEB_HOST_MULTIARCH}/libslang.so.2 debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libslang.so
 	chrpath -d debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/slang/v2/modules/*.so
 	chrpath -d debian/tmp/usr/bin/slsh
 	mkdir -p debian/libslang2-modules/usr/lib/${DEB_HOST_MULTIARCH}/slang/v2/modules
