=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
 Build-Depends: debhelper-compat (= 12),
  unicode-data,
