=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper-compat (= 13),
  unicode-data,
  chrpath,
  docbook-to-man,
  dpkg-dev (>= 1.16.1~),
- libncurses-dev,
  libonig-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libpng-dev,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: http://www.jedsoft.org/slang/
 Vcs-Browser: https://salsa.debian.org/debian/slang2
-Vcs-Git: https://salsa.debian.org/debian/slang2.git
+Vcs-Git: https://salsa.debian.org/debian/slang2.git -b debian/latest
 
 Package: libslang2-dev
 Section: libdevel
@@ -63,6 +61,7 @@
 Package: libslang2-pic
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Built-Using: ${Built-Using}
 Depends: libslang2-dev (= ${binary:Version}), ${misc:Depends}
 Conflicts: slang1-utf8-pic, slang-pic, libslang1-pic
@@ -82,6 +81,7 @@
  You only need this package to support applications needing S-Lang during
  the Debian installation process time and probably don't need to select it.
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 
 Package: slsh
 Section: interpreters
