=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 13),
  unicode-data,
  chrpath,
@@ -11,7 +11,7 @@
  libpcre2-dev,
  libpng-dev,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.6.1
 Homepage: http://www.jedsoft.org/slang/
 Vcs-Browser: https://salsa.debian.org/debian/slang2
 Vcs-Git: https://salsa.debian.org/debian/slang2.git -b debian/latest
@@ -81,7 +81,6 @@
  You only need this package to support applications needing S-Lang during
  the Debian installation process time and probably don't need to select it.
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: slsh
 Section: interpreters
